Subject: Re: [PATCH iproute2] Re: HTB accuracy for high speed

From: Jarek Poplawski <[email-masked]>
Date: Tue, 2 Jun 2009 12:36:36 +0000

On Tue, Jun 02, 2009 at 12:45:28PM +0100, Antonio Almeida wrote:
> On Tue, Jun 2, 2009 at 11:12 AM, Antonio Almeida wrote:
> > I'm getting great values with this patch!
> >...
> > I'll get back to you with more values.
> 
> The steps are much smaller and the error keeps lower than 1%.
> Injecting over 950Mpbs of tcp packets of 800bytes I get these values:

Nice values - should be acceptable, I guess. Alas this is not all, and
I'll ask you soon for re-testing HFSC (after another patch) or maybe
even some simple CBQ setup ;-)

Thank you very much for testing,
Jarek P.

> 
> Configuration	Sent rate		error (%)
> 498000Kbit	495023Kbit	0,60
> 499000Kbit	497456Kbit	0,31
> 500000Kbit	497498Kbit	0,50
> 501000Kbit	497496Kbit	0,70
> 502000Kbit	499986Kbit	0,40
> 503000Kbit	499978Kbit	0,60
> 504000Kbit	502520Kbit	0,29
> 		
> 696000Kbit	690964Kbit	0,72
> 697000Kbit	695782Kbit	0,17
> 698000Kbit	695783Kbit	0,32
> 699000Kbit	695783Kbit	0,46
> 700000Kbit	695795Kbit	0,60
> 701000Kbit	695786Kbit	0,74
> 702000Kbit	700703Kbit	0,18
> 		
> 896000Kbit	888383Kbit	0,85
> 897000Kbit	896289Kbit	0,08
> 904000Kbit	896389Kbit	0,84
> 905000Kbit	904542Kbit	0,05
> 
>   Antonio Almeida